#
# spec file for package zod
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global         tar_version 2011-09-06
%global         _version %%(sed 's@-@@g' <<< %{tar_version})
Name:           zod
Version:        %{_version}
Release:        1.1
Summary:        An Open Source Remake of the 1996 Game Z by Bitmap Brothers
License:        GPL-3.0
Group:          Amusements/Games/Strategy/Real Time
Url:            http://zod.sourceforge.net/
Source0:        http://downloads.sourceforge.net/zod/linux_releases/zod_linux-%{tar_version}.tar.gz
Source1:        zod.desktop
Patch0:         https://raw.githubusercontent.com/hasufell/hasufell-repository/master/packages/games-strategy/zod-engine/files/zod-engine-20110906-proper-linux-support.patch
Patch1:         https://raw.githubusercontent.com/hasufell/hasufell-repository/master/packages/games-strategy/zod-engine/files/zod-engine-20110906-build.patch
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  mysql-devel
BuildRequires:  wxWidgets-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  fdupes
Requires:       %{name}-data = %{version}

%description
The Zod Engine is an open source remake of the 1996 game Z by the Bitmap
Brothers written in C++ using the SDL library for Linux / Windows / Etc.

%package data
Summary:        Zod architecture independent data
Group:          Amusements/Games/Strategy/Real Time
Requires:       %{name} = %{version}
BuildArch:      noarch
License:        SUSE-NonFree

%description data
Games assets for the Zod engine.

%prep
%setup -q -n zod_engine
%patch0 -p1
%patch1 -p1

rm -r assets/planets_1-10-10
rm -r assets/buildings/fort_old
rm -r assets/sounds/radar_sound-old1.wav

find assets -type f -name 'Thumbs.db' | xargs rm
find . -type f -name '*.txt' | xargs dos2unix

%build
pushd zod_src
sed -i '/LDFLAGS=/ s@$@ -L%{_libdir}/mysql@' makefile
make %{?_smp_mflags} DATA_PATH=%{_datadir}/%{name} main map_editor
popd

pushd zod_launcher_src
make %{?_smp_mflags}
popd

%install
install -d %{buildroot}%{_datadir}/%{name}
mv p0*_*.map %{buildroot}%{_datadir}/%{name}
mv assets %{buildroot}%{_datadir}/%{name}
mv blank_maps %{buildroot}%{_datadir}/%{name}

install -D -m755 zod_src/zod %{buildroot}%{_bindir}/zod
install -D -m755 zod_src/zod_map_editor %{buildroot}%{_bindir}/zod_map_editor
install -D -m755 zod_launcher_src/zod_launcher %{buildroot}%{_bindir}/zod_launcher

install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
ln -s %{_datadir}/%{name}/assets/icon.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%fdupes %{buildroot}%{_datadir}

%if 0%{?suse_version} > 1130
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc readme_linux.txt map_editor_help.txt zod_engine_help.txt
%{_bindir}/zod
%{_bindir}/zod_launcher
%{_bindir}/zod_map_editor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%files data
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Wed May 25 2016 mailaender@opensuse.org
- initial packaging
